Bug 1254848 - No response when input invalid frequency in Job service settings page.
No response when input invalid frequency in Job service settings page.
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium
: DR2
: 6.3.0
Assigned To: Cristiano Nicolai
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 00:50 EDT by yuli wang
Modified: 2016-03-24 03:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
uifeedback (12.46 KB, image/png)
2016-02-23 00:20 EST, Cristiano Nicolai
no flags Details

  None (edit)
Description yuli wang 2015-08-19 00:50:22 EDT
Description of problem:
No response when input invalid frequency in Job service settings page, if the service can not be started, the process related async cannot be started.

Version-Release number of selected component (if applicable):
6.1.0

How reproducible:
100%

Steps to Reproduce:
1. Go to bpms site with admin role.
2. Go to process definition list page by Process Management->Process definitions then click start button beside Beaker System Loan process.
3. Fill in the ticket (326862) and an FQDN (maitai-automated-dev-kvm-guest-01.rhts.eng.bos.redhat.com) which no longer exist, then click start button.
4.Start beaker system loan process with ticket and FQDN exist again.
Actual Results:
Cannot start beaker system loan process as beaker.png attachment.
Expected Results:
Start beaker system loan process successfully.
Comment 2 Cristiano Nicolai 2016-02-22 11:07:16 EST
Hello Yuli,
I'm not sure I understood this problem correctly, the description talks about the Job service settings page, but in the steps to reproduce, you mention Maitai specific process. Would you mind clarifying that?

Thanks.
Comment 3 cory 2016-02-22 21:12:28 EST
Hi Cristiano,

That means, when we set Frequency property of Job Service Settings, correct format is 3s but i can set 3 in here. than BPMS don't have any response on UI and we cann't start job server.
In BPMS 6.1.2 , if we input wrong format value , we cann't start job server, but also don't have any error message.
Comment 4 Cristiano Nicolai 2016-02-23 00:20 EST
Created attachment 1129604 [details]
uifeedback

Frequency validation is in place for version 6.3 already.
Comment 5 Tomas David 2016-03-24 03:07:36 EDT
Verified that frequency validation works with BPMS 6.3.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.